<?php

namespace RonPortal;

use Ron\Profiler;

require_once 'autoloader.php';

require_once('ron/appstart.php');

//require_once('adsapp/adsapp.php');
//require_once('adsapp/logincontroller.php');
//require_once('ron/profiler.php');

$profiler = Profiler::getInstance();
$profiler ->minimalItemsCount = 6;
$item = $profiler ->addItem($_SERVER['REQUEST_METHOD'] . ' Request ' . $_SERVER['REQUEST_URI']);
try {
    require('index.php');

    $profiler ->endItem($item);

    if ($profiler ->getItemsCount() >= $profiler ->minimalItemsCount) {
        Log::addRecordToLog(RonPortalApp::getInstance()->getDatabase(), 'TestService', 'Profiler', $profiler->getOutputAsText());
    }
    //$profiler ->writeOutput();
} catch (\Exception $e) {
    Log::addRecordToLog(RonPortalApp::getInstance()->getDatabase(), 'TestService', 'Profiler', 'ERROR! ' . $e ->getMessage() . "\n\n" . $profiler->getOutputAsText());

//    $profiler ->addItem('ERROR! ' . $e ->getMessage());
//    $profiler ->endItem($item);
//    $profiler ->writeOutput();

    throw $e;
}

