<?php
/**
 * Created by PhpStorm.
 * User: pavel.rudol
 * Date: 8.2.2017
 * Time: 14:45
 */

namespace RonPortal\Settings;

use Ron\Controls\Preference;

return [
    'caption' => 'nastaveni_agent_jidelna',
    'category' => 'nastaveni_sekce_terminaly',
    'name'  => 'agent_jidelna',
    'index' => 922,
    'storage' => 'nastaveniJidelny',
    'strings' => 'preferences_agent.ini',
    'items' =>
        [
            // agent host
            [
                'name'  => 'jidelna_agenthost', 'type'  => Preference::TEXT,    'title' => 'Agent_host',
                'defaultValue' => '',
                'infoText' => 'Agent_host_info'
            ],
            // agent port
            [
                'name'  => 'jidelna_agentport', 'type'  => Preference::TEXT,    'title' => 'Agent_port',
                'defaultValue' => '',
            ],
            // agent cesta
            [
                'name'  => 'jidelna_cesta', 'type'  => Preference::TEXT,    'title' => 'Agent_cesta',
                'defaultValue' => '',
            ],
        ]
];
