<?php

/**
 * UTF-8
 * Pavel Rudol, RON Software
 *  29.9.2015
 */

namespace Ron\RonPortal\Zamestnanci;

use Ron;

/* @var $zamestnanec Zamestnanec */

/* @var $zvolenyPP PracovniPomerOsoby */
$zvolenyPP = \Ron\MVC\Model::getInstance()->getData('vybranypp');
?>


<table id="detailosoby_ppomer">
    <tr id="detailosoby_ppomer_osobnicislo">
        <td class="formtablecaption required">
            <?= Ron\ronText('Osobni_cislo') ?>
        </td>
        <td id="detailosoby_ppomer_osobnicislo_data">
            <?= Ron\StringUtils::htmlTextConvert($zvolenyPP->osobniCislo) ?>
        </td>
    </tr>
    <tr id="detailosoby_ppomer_datumnastupu">
        <td class="formtablecaption required">
            <?= Ron\ronText('Datum_nastupu') ?>
        </td>
        <td id="detailosoby_ppomer_datumnastupu_data">
            <?= date('j.n.Y',$zvolenyPP->datumNastupu) ?>
        </td>
    </tr>
    <tr id="detailosoby_ppomer_datumukonceni">
        <td class="formtablecaption">
            <?= Ron\ronText('DatumUkonceni') ?>
        </td>
        <td id="detailosoby_ppomer_datumukonceni_data">
            <?php echo ($zvolenyPP->datumUkonceni ? date('j.n.Y',$zvolenyPP->datumUkonceni) : ""); ?>
        </td>
    </tr>
    <tr id="detailosoby_ppomer_poradovecislo">
        <td class="formtablecaption">
            <?= Ron\ronText('PoradoveCisloPP') ?>
        </td>
        <td id="detailosoby_ppomer_poradovecislo_data">
            <?= $zvolenyPP->poradoveCisloPP ? (int)$zvolenyPP->poradoveCisloPP : '' ?>
        </td>
    </tr>
    <tr id="detailosoby_ppomer_typosoby">
        <td class="formtablecaption">
            <?= Ron\ronText('TypOsoby') ?>
        </td>
        <td id="detailosoby_ppomer_typosoby_data">
            <?php
                echo $zvolenyPP->zamestnanecStr;
            ?>
        </td>
    </tr>
    <tr id="detailosoby_ppomer_typpp">
        <td class="formtablecaption required">
            <?= Ron\ronText('TypPP') ?>
        </td>
        <td id="detailosoby_ppomer_typpp_data" colspan="5">
            <?php
                echo $zvolenyPP->typPPStr;
            ?>
        </td>
    </tr>
    <tr id="detailosoby_ppomer_zpracovat">
        <td class="formtablecaption">
            <?= Ron\ronText('ZpracovatDochazku') ?>
        </td>
        <td id="detailosoby_ppomer_zpracovat_data">
            <?= $zvolenyPP->zpracovatDochazku ? Ron\ronText('Ano') : Ron\ronText('Ne') ?>
        </td>
    </tr>    
</table>