<?php
/**
 * stanislav.elbl, 19.02.2021
 */

namespace Ron\MVC;

/**
 * Tridy implementujici tento interface zajistuji generovani obsahu na vystup.
 * Obvykle se jedna o jiny typ vystupu nez HTML (k tomu slouzi {@see ViewObject}), napriklad soubor, JSON, binarni data atd.
 */
interface OutputObject extends ControllerResult
{
    /**
     * Generuje obsah na vystup
     * @return void
     */
    public function output();
}
