<?php
/**
 * UTF8
 * stanislav.elbl, 07.09.2015
 */

namespace RonPortal\Dochazka;

use Ron\MessageManager;
use Ron\MVC\Model;
use Ron\TextManager;

$action = Model::getInstance() ->getData('action');
$pp = Model::getInstance() ->getData('PP');
$comboKarta = Model::getInstance() ->getData('comboKarta');

?>
<h1><?= TextManager::_( ($action == 'odblokovani') ? 'Odblokovani_karty' : 'Blokovani_karty' ) ?></h1>

<?php MessageManager::getInstance() ->showMessages(); ?>

<form method="post" action="?menuid=<?= $action ?>">
    <input type="hidden" name="akceblokovani" value="vyberkarty">
    <input type="hidden" name="osoba" value="<?= $pp->idPP ?>">

    <div class="form form-100 middle-form">
        <div class="form-content">
            <div class="form-row">
                <div class="form-col form-col1 caption"><?= TextManager::_('Osoba') ?></div>
                <div class="form-col form-col2"><strong><?= $pp->jmenoPrijmeni ?></strong></div>
            </div>

            <div class="form-row">
                <div class="form-col form-col1 caption"><?= TextManager::_('Karta_cislo') ?></div>
                <div class="form-col form-col2"><?php $comboKarta ->render(); ?></div>
            </div>
        </div>

        <div class="buttons">
            <input type="submit" class="submitbutton" value="<?= TextManager::_('Pokracovat') ?>">
        </div>
    </div>
</form>
