<?php
/**
 * stanislav.elbl, 16.02.2021
 */

namespace RonPortal;


global $simplesaml_path;
require_once(($simplesaml_path ?: '../simplesamlphp') . '/lib/_autoload.php');

//class RonPortalSimpleAuth extends \SimpleSAML\Auth\Simple {
//
//    /** Doplni corelationID pro moznost bezpecnostniho logovani na strane IdP a sparovani s loginem do Portalu */
//    public function getLoginURL($returnTo = null)
//    {
//        global $simplesaml_correlationid_param;
//
//        // doplni correlationID do URL
//        if ($returnTo === null) {
//            $returnTo = Utils\HTTP::getSelfURL();
//        }
//
//        $correlationId = sha1(session_id() . time());
//        $result = parent::getLoginURL($returnTo . '&' . $simplesaml_correlationid_param . '=' . $correlationId);
//
//        return $result . '&' . $simplesaml_correlationid_param . '=' . $correlationId;
//    }
//}


class SamlUtils
{

    public static function samlLogin()
    {
        global $simplesaml_sp;
        global $simplesaml_name_attribute;
        global $simplesaml_correlationid_param;

        $as = new \SimpleSAML\Auth\Simple($simplesaml_sp);
//        $as = $simplesaml_correlationid_param
//            ? new RonPortalSimpleAuth($simplesaml_sp)
//            : new \SimpleSAML\Auth\Simple($simplesaml_sp);

        if (!$as->isAuthenticated()) {
            $as->requireAuth();
        }

        $attributes = $as->getAttributes();
        \SimpleSAML\Session::getSessionFromRequest()->cleanup();


        $nameAttribute = $simplesaml_name_attribute ?? 'sAMAccountName';

        if (!isset($attributes[$nameAttribute][0])) {
            global $enabledebugmode;
            if ($enabledebugmode && isset($_GET['debug']) && (int)$_GET['debug']) {
                var_dump($attributes);
            }

            throw new \Exception(\Ron\ronText('Bad_password'));
        }
        return $attributes[$nameAttribute][0];
    }


    public static function samlLogout()
    {
        global $simplesaml_sp;
        global $simplesaml_path;

        $as = new \SimpleSAML\Auth\Simple($simplesaml_sp);

        if ($as ->isAuthenticated()) {
            //self::clearSession();
            $as ->logout();
            //$as ->logout('https://www.ron.cz');
            //$url = $as ->getLogoutURL('/');
//                self::clearSession();
//                return new Redirect($url);
        }

        \SimpleSAML\Session::getSessionFromRequest()->cleanup();
    }
}
