<?php
/**
 * stanislav.elbl, 16.10.2014
 */

namespace Ron\RonPortal;

use Ron\StringUtils;
use Ron\TextManager;
use RonPortal\SluzebniCesty\SluzebniCesta;

/** @var $this SluzebniCesta */

$mistoStr =
    $this ->cilPopis .
    (($this ->cilPopis && $this ->popisCile) ? ' - ' : '') .
    $this ->popisCile;

?>
<div class='form large-form<?= $this ->zahranicni ? ' zahranicniSC' : '' ?>' id='zkracenahlavickasc'>
    <div class="form-content">
        <div class="row" id="hlavickasc_osoba">
            <div class="col col-2"></div>
            <div class="col col-7 font-weight-bold">
                <strong><?= $this ->f_PP ->jmenoPrijmeni ?></strong>, <?= TextManager::_('Osobni_cislo') . ' ' . StringUtils::htmlTextConvert($this ->f_PP ->osobniCislo) ?>
            </div>
            <div class="col col-3 align-right"><?php
                if ($this ->zahranicni) {
                    ?><span id="hlavickasc_zahranicni"><?= TextManager::_('Zahranicni') ?> (<?= StringUtils::htmlTextConvert($this ->cilovyStatPopis) ?>)</span><?php
                } ?>
            </div>
        </div>

        <div class="row" id="hlavickasc_datum">
            <div class="col col-2 caption"><?= TextManager::_('Date') ?></div>
            <div class="col col-10"><?= date('j.n.Y G:i', $this ->datumCasOd) . ' - ' . date('j.n.Y G:i', $this ->datumCasDo) ?></div>
        </div>

        <?php if ($mistoStr) { ?>
        <div class="row" id="hlavickasc_cil">
            <div class="col col-2 caption"><?= TextManager::_('Cil_sc') ?></div>
            <div class="col col-10"><?= StringUtils::htmlTextConvert($mistoStr) ?></div>
        </div>
        <?php } ?>
    </div>
</div>
