<?php

// TODO: dodelat a otestovat

namespace RonPortal\XML\Classes;


use Ron\DB\DBException;
use RonPortal\XML\XMLFormElement;

/**
 * Zpracovava se jen pri zachyceni prislusne podminky
 * Class XMLFormElementCatch
 */
class XMLFormElementCatch extends XMLFormElement
{
    function __construct($xmlForm, $parent)
    {
        parent::__construct($xmlForm, $parent);
        if ($parent instanceof XMLFormElementTry) {
            $parent ->catchElements[] = $this;
        }
    }


    /**
     * @param \Exception $e
     * @return bool
     */
    function handlesException($e)
    {
        // TODO: umoznit zachytit jen konkretni vyjimky!
        return true;
    }

    /**
     * @param \Exception $e
     */
    function addExceptionVariables($e)
    {
        $this ->setVariableValue('XML_EXCEPTION', $e);
        $this ->setVariableValue('XML_EXCEPTIONMESSAGE', $e ->getMessage());

        if ($e instanceof DBException) $type = 'dbexception';
        else $type = 'exception';

        $this ->setVariableValue('XML_EXCEPTIONTYPE', $type);
    }

    function getHTMLOutput()
    {
    }

    function event()
    {
    }

    function process()
    {
    }
}



