<?php
/**
 * stanislav.elbl, 09.10.2018
 */

namespace RonPortal\XML\Classes;

use RonPortal\XML\XMLFormElementCommand;

/**
 * Class XMLFormElementViewFile
 * @package Ron\RonPortal\XML
 */
class XMLElementViewFile extends XMLFormElementCommand
{
    function doCommand()
    {
        $fileName = $this ->getAttributeValue('filename');

        if (!$fileName) {
            $fileName = $this ->getBoolAttribute('frame')
                ? 'view/appview_frame.php'
                : 'view/appview.php';
        }

        $this ->xmlForm ->viewFileName = $fileName;
    }
}
