<?php
/**
 * Created by PhpStorm.
 * User: pavel.rudol
 * Date: 2.1.2017
 * Time: 14:13
 */

namespace RonPortal\Settings;

use Ron\Controls\Preference;

return [
    'caption' => 'nastaveni_agent_vyroba',
    'category' => 'nastaveni_sekce_terminaly',
    'name'  => 'agent_vyroba',
    'index' => 923,
    'storage' => 'nastaveni',
    'strings' => 'preferences_agent.ini',
    'items' =>
        [
            // agent host
            [
                'name'  => 'vyroba_agenthost', 'type'  => Preference::TEXT,    'title' => 'Agent_host',
                'defaultValue' => '',
            ],
            // agent port
            [
                'name'  => 'vyroba_agentport', 'type'  => Preference::TEXT,    'title' => 'Agent_port',
                'defaultValue' => '',
            ],
            // ads x zakazky
            [
                'name'  => 'vyroba_agentapp', 'type'  => Preference::SQL_COMBOBOX,    'title' => 'Agent_app',
                'sql'   => "SELECT applicationID as Kod, applicationID as Popis FROM SYS_DDEF WHERE applicationID IN ('ADS', 'ZAKAZKY') ORDER BY Popis",
                'defaultValue' => 'ADS', 'enableEmpty' => false
            ],
        ]
];
