<?php
/**
 * Created by PhpStorm.
 * User: Roman.Szablatura
 * Date: 28.01.2016
 * Time: 12:21
 */

namespace RonPortal\Settings;

use Ron\Controls\Preference;
use RonPortal\RonPortalSettings;

if (!RonPortalSettings::getIntValue(RonPortalSettings::POVOLIT_PERSONALISTIKU)) {
    return null;
}

return [
    'caption' => 'nastaveni_uchazeci',
    'category' => 'nastaveni_sekce_personalistika',
    'name'  => 'uchazeci',
    'index' => 310,
    'storage' => 'nastaveniPersonalistiky',
    'strings' => 'person.ini',
    'items' =>
        [
            // typ rozdeleni pro filtrovani uchazecu
            [
                'name'  => 'uchazecityprozdeleniprofiltr', 'type'  => Preference::SQL_COMBOBOX,    'title' => 'Uchazeci_typrozdeleni_filtr',
                'sql'   => 'SELECT Kod, Popis FROM TypRozdeleni WHERE VyberoveRizeni = 1 ORDER BY Kod',
                'defaultValue' => ''
            ],

            [
                'name'  => 'uchazecityprozdeleniprofiltr2', 'type'  => Preference::SQL_COMBOBOX,    'title' => 'Uchazeci_typrozdeleni_filtr2',
                'sql'   => 'SELECT Kod, Popis FROM TypRozdeleni WHERE VyberoveRizeni = 1 ORDER BY Kod',
                'defaultValue' => ''
            ],

            [
                'type' => Preference::CATEGORY, 'title' => 'Uzivatelska_pole',
            ],

            [
                'name' => 'uchazeciuzivatelska1', 'type' => Preference::TEXT, 'title' => '1.', 'defaultValue' => '',
                'infoText' => 'zobraz_pole_s_nadpisy'
            ],

            [
                'name' => 'uchazeciuzivatelska2', 'type' => Preference::TEXT, 'title' => '2.', 'defaultValue' => '',
            ],

            [
                'name' => 'uchazeciuzivatelska3', 'type' => Preference::TEXT, 'title' => '3.', 'defaultValue' => '',
            ],
            [
                'name' => 'uchazeciuzivatelska4', 'type' => Preference::TEXT, 'title' => '4.', 'defaultValue' => '',
            ],
            [
                'name' => 'uchazeciuzivatelska5', 'type' => Preference::TEXT, 'title' => '5.', 'defaultValue' => '',
            ],
            [
                'name' => 'uchazeciuzivatelska6', 'type' => Preference::TEXT, 'title' => '6.', 'defaultValue' => '',
            ],
            [
                'name' => 'uchazeciuzivatelska7', 'type' => Preference::TEXT, 'title' => '7.', 'defaultValue' => '',
            ],
            [
                'name' => 'uchazeciuzivatelska8', 'type' => Preference::TEXT, 'title' => '8.', 'defaultValue' => '',
            ],
            [
                'name' => 'uchazeciuzivatelska9', 'type' => Preference::TEXT, 'title' => '9.', 'defaultValue' => '',
            ],
            [
                'name' => 'uchazeciuzivatelska10', 'type' => Preference::TEXT, 'title' => '10.', 'defaultValue' => '',
            ],
            [
                'name' => 'uchazeciuzivatelska11', 'type' => Preference::TEXT, 'title' => '11.', 'defaultValue' => '',
            ],
            [
                'name' => 'uchazeciuzivatelska12', 'type' => Preference::TEXT, 'title' => '12.', 'defaultValue' => '',
            ],
            [
                'name' => 'uchazeciuzivatelska13', 'type' => Preference::TEXT, 'title' => '13.', 'defaultValue' => '',
            ],
            [
                'name' => 'uchazeciuzivatelska14', 'type' => Preference::TEXT, 'title' => '14.', 'defaultValue' => '',
            ],
            [
                'name' => 'uchazeciuzivatelska15', 'type' => Preference::TEXT, 'title' => '15.', 'defaultValue' => '',
            ],
            [
                'name' => 'uchazeciuzivatelska16', 'type' => Preference::TEXT, 'title' => '16.', 'defaultValue' => '',
            ],
            [
                'name' => 'uchazeciuzivatelska17', 'type' => Preference::TEXT, 'title' => '17.', 'defaultValue' => '',
            ],
            [
                'name' => 'uchazeciuzivatelska18', 'type' => Preference::TEXT, 'title' => '18.', 'defaultValue' => '',
            ],
            [
                'name' => 'uchazeciuzivatelska19', 'type' => Preference::TEXT, 'title' => '19.', 'defaultValue' => '',
            ],
            [
                'name' => 'uchazeciuzivatelska20', 'type' => Preference::TEXT, 'title' => '20.', 'defaultValue' => '',

            ],
        ]
];