<?php

/**
 * UTF-8
 * Pavel Rudol, RON Software
 *  29.9.2015
 */

namespace Ron\RonPortal\Zamestnanci;

use Ron;

/* @var $zamestnanec Zamestnanec */

?>


<table id="detailosoby_hlavni">
    <tr id="detailosoby_hlavni_rc">
        <td class="formtablecaption required">
            <?= Ron\ronText('RC') ?>
        </td>
        <td id="detailosoby_hlavni_rc_data">
            <?= Ron\StringUtils::htmlTextConvert($zamestnanec->rc) ?>
        </td>
    </tr>
    <tr id="detailosoby_hlavni_titul">
        <td class="formtablecaption">
            <?= Ron\ronText('Titul') ?>
        </td>
        <td id="detailosoby_hlavni_titul_data">
            <?= Ron\StringUtils::htmlTextConvert($zamestnanec->titul) ?>
        </td>
    </tr>
    <tr id="detailosoby_hlavni_jmeno">
        <td class="formtablecaption">
            <?= Ron\ronText('Jmeno') ?>
        </td>
        <td id="detailosoby_hlavni_jmeno_data">
            <?= Ron\StringUtils::htmlTextConvert($zamestnanec->jmeno) ?>
        </td>
    </tr>
    <tr id="detailosoby_hlavni_prijmeni">
        <td class="formtablecaption required">
            <?= Ron\ronText('Prijmeni') ?>
        </td>
        <td id="detailosoby_hlavni_prijmeni_data">
            <?= Ron\StringUtils::htmlTextConvert($zamestnanec->prijmeni) ?>
        </td>
    </tr>
    <?php if ($zamestnanec->titulZa) { ?>
    <tr id="detailosoby_hlavni_titulza">
        <td class="formtablecaption">
            <?= Ron\ronText('TitulZa') ?>
        </td>
        <td id="detailosoby_hlavni_titulza_data">
            <?= Ron\StringUtils::htmlTextConvert($zamestnanec->titulZa) ?>
        </td>
    </tr>
    <?php } ?>
    <tr id="detailosoby_hlavni_datumnarozeni">
        <td class="formtablecaption">
            <?= Ron\ronText('DatumNarozeni') ?>
        </td>
        <td id="detailosoby_hlavni_datumnarozeni_data">
            <?php echo ($zamestnanec->datumNarozeni ? date('j.n.Y',$zamestnanec->datumNarozeni) : ""); ?>
        </td>
    </tr>
    <tr id="detailosoby_hlavni_poznamka">
        <td class="formtablecaption">
            <?= Ron\ronText('Poznamka') ?>
        </td>
        <td id="detailosoby_hlavni_poznamka_data" colspan="5">
            <?= Ron\StringUtils::htmlTextConvert($zamestnanec->poznamka) ?>
        </td>
    </tr>    
</table>