<?php

/**
 * UTF-8
 * Pavel Rudol, RON Software
 *  29.9.2015
 */

namespace Ron\RonPortal\Zamestnanci;

use Ron;

/* @var $zamestnanec Zamestnanec */

$formAction = Ron\MVC\Model::getInstance()->getData('osobaformaction');

?>


<form name="osobaform" action="?<?= $defaultQueryString ?>&session@action=edit&session@section=<?= $zalozka['section']?>#detailosoby_<?= $zalozka['section'] ?>" method="POST">
    <?php if ($zamestnanec->idPP) { ?>
        <input type="hidden" name="idpp" value="<?= $zamestnanec->idPP ?>" />
    <?php } else { ?>
        <input type="hidden" name="rc" value="<?= $zamestnanec->rc ?>" />
    <?php } ?>
    <input type="hidden" name="formaction" value="<?= $formAction /* save/insert */?>" />    
    <input type="hidden" name="formsection" value="hlavni" />    
    
    <table id="detailosoby_hlavni">
        <tr id="detailosoby_hlavni_rc">
            <td class="formtablecaption required">
                <?= Ron\ronText('RC') ?>
            </td>
            <td id="detailosoby_hlavni_rc_data">
                <input class="app_input <?= \Ron\MessageManager::getInstance()->isError('RC') ? 'error_back' : ''; ?>" name="RC" maxlength="15" size="15"
                       value="<?= Ron\StringUtils::htmlTextConvert($zamestnanec->rc) ?>" type="text">
            </td>
        </tr>
        <tr id="detailosoby_hlavni_titul">
            <td class="formtablecaption">
                <?= Ron\ronText('Titul') ?>
            </td>
            <td id="detailosoby_hlavni_titul_data">
                <input class="app_input " name="Titul" maxlength="20" size="10" value="<?= Ron\StringUtils::htmlTextConvert($zamestnanec->titul) ?>" type="text">
            </td>
        </tr>
        <tr id="detailosoby_hlavni_jmeno">
            <td class="formtablecaption">
                <?= Ron\ronText('Jmeno') ?>
            </td>
            <td id="detailosoby_hlavni_jmeno_data">
                <input class="app_input " name="Jmeno" maxlength="30" size="20" value="<?= Ron\StringUtils::htmlTextConvert($zamestnanec->jmeno) ?>" type="text">
            </td>
        </tr>
        <tr id="detailosoby_hlavni_prijmeni">
            <td class="formtablecaption required">
                <?= Ron\ronText('Prijmeni') ?>
            </td>
            <td id="detailosoby_hlavni_prijmeni_data">
                <input class="app_input <?= \Ron\MessageManager::getInstance()->isError('Prijmeni') ? 'error_back' : ''; ?>" name="Prijmeni" maxlength="30" size="20" value="<?= Ron\StringUtils::htmlTextConvert($zamestnanec->prijmeni) ?>" type="text">
            </td>
            <td class="formtablecaption">
                <?= Ron\ronText('TitulZa') ?>
            </td>
            <td id="detailosoby_hlavni_prijmeni_titulza">
                <input class="app_input " name="TitulZa" maxlength="20" size="10" value="<?= Ron\StringUtils::htmlTextConvert($zamestnanec->titulZa) ?>" type="text">
            </td>
        </tr>
        <tr id="detailosoby_hlavni_datumnarozeni">
            <td class="formtablecaption">
                <?= Ron\ronText('DatumNarozeni') ?>
            </td>
            <td id="detailosoby_hlavni_datumnarozeni_data">
                <input class="app_input inputDate" type="text" name="DatumNarozeni" maxlength="10" size="10" value="<?php echo ($zamestnanec->datumNarozeni ? date('j.n.Y',$zamestnanec->datumNarozeni) : ""); ?>"  />
                <img src='images/16_calendar.png' class="showcalendar" data-roncalendar-inputname="DatumNarozeni" />
            </td>
        </tr>
        <tr id="detailosoby_hlavni_poznamka">
            <td class="formtablecaption">
                <?= Ron\ronText('Poznamka') ?>
            </td>
            <td id="detailosoby_hlavni_poznamka_data" colspan="5">
                <textarea name="Poznamka" class="" cols="60" rows="8" wrap="virtual"><?= Ron\StringUtils::htmlTextConvert($zamestnanec->poznamka) ?></textarea>
            </td>
        </tr>
        <tr id="detailosoby_hlavni_tlacitka">
            <td class="formtablecaption"></td>
            <td>
                <input type="submit" class="submitbutton" value="<?= \Ron\ronText('form.Store') ?>" />
                <input type="reset" class="button" value="<?= \Ron\ronText('form.Original') ?>" />
                <input type="button" class="button" value="<?= \Ron\ronText('Cancel') ?>" onclick="window.location = '?menuid=zamestnanec&idpp=<?= $zamestnanec->idPP ?>'" />                                
            </td>
        </tr>
    </table>
</form>