<?php

/**
 * UTF-8
 * Pavel Rudol, RON Software
 *  29.9.2015
 */

namespace Ron\RonPortal\Zamestnanci;

use Ron;

/* @var $zamestnanec Zamestnanec */

?>


<form action="?<?= $defaultQueryString ?>&session@action=edit&session@section=<?= $zalozka['section']?>#detailosoby_<?= $zalozka['section'] ?>" method="POST">
    <?php if ($zamestnanec->idPP) { ?>
        <input type="hidden" name="idpp" value="<?= $zamestnanec->idPP ?>" />
    <?php } else { ?>
        <input type="hidden" name="rc" value="<?= $zamestnanec->rc ?>" />
    <?php } ?>
    <input type="hidden" name="formaction" value="update" /> 
    <input type="hidden" name="formsection" value="ostatni" />
    
    <table id="detailosoby_ostatni">
        <tr id="detailosoby_ostatni_email">
            <td class="formtablecaption">
                <?= Ron\ronText('Email') ?>
            </td>
            <td id="detailosoby_ostatni_email_data">
                <input class="app_input" name="eMail" maxlength="60" size="40" value="<?= Ron\StringUtils::htmlTextConvert($zamestnanec->email) ?>" type="text">
            </td>
        </tr>
        <tr id="detailosoby_ostatni_telefon">
            <td class="formtablecaption">
                <?= Ron\ronText('Telefon') ?>
            </td>
            <td id="detailosoby_ostatni_telefon_data">
                <input class="app_input" name="Telefon" maxlength="60" size="40" value="<?= Ron\StringUtils::htmlTextConvert($zamestnanec->telefon) ?>" type="text">
            </td>
        </tr>
        <tr>
            <td>
                <br />
            </td>                
        </tr>
        <?php foreach ($zamestnanec->uzivatelskaPole as $index => $hodnota) { ?>
            <tr id="detailosoby_ostatni_uzivatelska_<?= $index ?>">
                <td class="formtablecaption">
                    <?= Ron\ronText('Uzivatelska'.$index) ?>
                </td>
                <td id="detailosoby_ostatni_uzivatelska_<?= $index ?>_data">
                    <input class="app_input" name="osoba_uzivatelska<?= $index ?>" maxlength="100" size="60" value="<?= Ron\StringUtils::htmlTextConvert($hodnota) ?>" type="text">
                </td>
            </tr>        
        <?php } ?>
        <tr id="detailosoby_ostatni_tlacitka">
            <td class="formtablecaption"></td>
            <td>
                <input type="submit" class="submitbutton" value="<?= \Ron\ronText('form.Store') ?>" />
                <input type="reset" class="button" value="<?= \Ron\ronText('form.Original') ?>" />
                <input type="button" class="button" value="<?= \Ron\ronText('Cancel') ?>" onclick="window.location = '?menuid=zamestnanec&idpp=<?= $zamestnanec->idPP ?>'" />
            </td>
        </tr>    
    </table>
</form>