<?php
/**
 * stanislav.elbl, 27.02.2021
 */

namespace RonPortal\Editace;

use RonPortal\Dochazka\OsobaDochazky;

class OsobaProEditaci extends OsobaDochazky
{
    /** @var bool  uzivatel ne/muze zobrazit mzdove polozky teto osoby */
    var $f_PravoZobrazitMP;
    /** @var bool  uzivatel ne/muze editovat mzdove polozky teto osoby */
    var $f_PravoEditovatMP;

    /** @var bool  uzivatel ne/muze zobrazit mesicni vysledky teto osoby */
    var $f_PravoZobrazitMV;
    /** @var bool  uzivatel ne/muze editovat mesicni vysledky teto osoby */
    var $f_PravoEditovatMV;

    /** @var EditaceMesicnichField[] */
    var $f_data;

    /** @var bool       Priznak, ze se jedna o duplicitni zobrazeni PP (s jinym rozdelenim) */
    var $duplicitniZaznam = false;

    /** @var string     CSS class radku */
    var $rowClass = '';

    /**
     * @deprecated
     */
    function nactiAktualniOsobu()
    {
        throw new \Exception('Chyba - metoda OsobaProEditaci::nactiAktualniOsobu jiz neni podporovana!');
//        $this ->idPP = $this ->f_IdPP = (int)RonPortalSession::vybranaOsoba();
//        $this->rc = $this ->f_RC = RonPortalSession::osobaRC();
//        $this->osobniCislo = $this ->f_OsobniCislo = RonPortalSession::osobaOsobniCislo();
//        $this->datumNastupu = $this ->f_DatumNastupu = RonPortalSession::osobaNastup();
//        $this->jmenoPrijmeni = $this ->f_JmenoPrijmeni = RonPortalSession::osobaJmenoPrijmeni();
//        $this->jmenoPrijmeniKratke = $this ->jmenoPrijmeni;
    }


    /**
     * @param int $obdobiDo
     * @param int $uzamknout  Nastaveni uzamykani
     * @return bool
     */
    function uzamknout($obdobiDo, $uzamknout)
    {
        if (!$this ->schvaleni) {
            return false;
        }

        if ($this ->schvaleni ->zpracovanoVeMzdach) {
            return true;
        }

        if (!$uzamknout) {
            // uzamykani po schvaleni je vypnute
            return false;
        }

        switch ($uzamknout) {
            /** @noinspection PhpMissingBreakStatementInspection */
            case 1 :
                if ($this ->schvaleni ->schvaleni1 && $obdobiDo <= $this ->schvaleni ->schvaleni1) {
                    return true;
                }
            // neni break - pokracuje dale!

            /** @noinspection PhpMissingBreakStatementInspection */
            case 2 :
                if ($this ->schvaleni ->schvaleni2 && $obdobiDo <= $this ->schvaleni ->schvaleni2) {
                    return true;
                }
            // neni break - pokracuje dale!

            case 3 :
                if ($this ->schvaleni ->schvaleni3 && $obdobiDo <= $this ->schvaleni ->schvaleni3) {
                    return true;
                }
        }

        return false;
    }
}
