<?php
/**
 * stanislav.elbl, 12.04.2016
 * Zobrazuje informace o testu v prezentaci a tlacitko pro spusteni testu
 */

namespace RonPortal\ELearning;

use Ron\MVC\Model;
use Ron\StringUtils;

$model = Model::getInstance();
/** @var TestEKurzu $testEKurzu */
$testEKurzu = $model ->getData('testEKurzu');
?>

<div class="test">
    <?php if ($testEKurzu ->test  &&  $testEKurzu ->test ->test_stav == 3) { ?>
        <div class="successmsg"><?= \Ron\ronText('Test_absolvovan_3') ?></div>

        <?php if($testEKurzu ->test ->test_body) { ?>
            <div id="pocetPokusuInfo"><?= \Ron\ronText('Pocet_bodu_testu') ?>: <strong><?= $testEKurzu ->test ->test_body ?></strong></div>
        <?php } ?>
    <?php } else { ?>
        <?php if ($testEKurzu ->test  &&  $testEKurzu ->test ->test_stav == 2) { ?>
            <div class="errortext"><?= \Ron\ronText('Test_absolvovan_2') ?></div>
        <?php } ?>
        <?php if ($testEKurzu ->test  &&  $testEKurzu ->test ->test_stav == 4) { ?>
            <div class="errortext"><?= \Ron\ronText('Test_absolvovan_4') ?></div>

            <?php if($testEKurzu ->test ->test_body) { ?>
                <div id="pocetPokusuInfo"><?= \Ron\ronText('Pocet_bodu_testu') ?>: <strong><?= $testEKurzu ->test ->test_body ?></strong></div>
            <?php } ?>
        <?php } ?>

        <?php if($testEKurzu ->pocetPokusu) { ?>
            <div id="pocetPokusuInfo"><?= \Ron\ronText('Maximalni_pocet_pokusu') ?>: <strong><?= $testEKurzu ->pocetPokusu ?></strong></div>
        <?php } ?>

        <?php if($testEKurzu ->vycerpanoPokusu) { ?>
            <div id="vycerpanoPokusuInfo"><?= \Ron\ronText('Vycerpano_pokusu') ?>: <strong><?= $testEKurzu ->vycerpanoPokusu ?></strong></div>
        <?php } ?>

        <?php if ($testEKurzu ->casovyLimit) { ?>
            <div id="casovyLimit"><?= \Ron\ronText('Casovy_limit') ?>: <strong><?= StringUtils::format('minuty', $testEKurzu ->casovyLimit) ?></strong></div>
        <?php } ?>

        <?php if($testEKurzu ->test) { ?>
            <div id="pocetOtazek"><?= \Ron\ronText('Pocet_otazek') ?>: <strong><?= count($testEKurzu ->test ->otazky) ?></strong></div>
        <?php } ?>

        <?php if ($testEKurzu ->lzeSpustitTest()) { ?>
            <form method="post">
                <div class="buttons">
                    <input type="submit" class="submitbutton" name="spustitTest" value="<?= \Ron\ronText('Spustit_test') ?>" />
                </div>
            </form>
        <?php } else if ($testEKurzu ->pocetPokusu = $testEKurzu ->vycerpanoPokusu) { ?>
            <div class="errortext" id="pocetPokusuVycerpan"><?= \Ron\ronText('Maximalni_pocet_pokusu_vycerpan') ?></div>
        <?php } ?>
    <?php } ?>
</div>