<?php
/**
 * stanislav.elbl, 19.11.2015
 */

namespace RonPortal\Hodnoceni;

use Ron\MessageManager;
use Ron\StringUtils;
use RonPortal\RonPortalSettings;
use function Ron\ronText;

if (RonPortalSettings::getIntValue(RonPortalSettings::ZAKAZAT_PREVZIT_HODNOCENI)) {
    return;
}

/** @var $this PrevzitHodnoceniViewObject */
?>

<?php MessageManager::getInstance() ->showMessages(); ?>

<div class='form middle-form'>
    <div class="form-content">

        <div class="margin-top-2">
            <?= ronText('Hodnoceni_rozpracoval') ?> <?= StringUtils::htmlTextConvert($this -> dotaznik ->hodnoticiJmeno) ?> <?= StringUtils::htmlTextConvert($this->dotaznik ->hodnoticiPrijmeni) ?>
            <?php if ($this->dotaznik ->hodnotici) { ?> (<?= StringUtils::htmlTextConvert($this->dotaznik ->hodnotici) ?>) <?php } ?>
        </div>

        <div class="margin-top-2 font-weight-bold">
            <?= ronText('Chcete_prevzit_hodnoceni') ?>
        </div>

        <div class="row margin-top-2">
            <div class="col-4">
                <a href="?menuid=hodnoceni&hodnoceniaction=editujhodnoceni&prevzit=1&record=<?= $this ->dotaznik ->fId ?>"><?= ronText('Prevzit_hodnoceni') ?></a>
            </div>
            <div class="col-4">
                <a href="?menuid=hodnoceni&record=<?= $this->dotaznik ->fId ?>"><?= ronText('Pouze_zobrazit') ?></a>
            </div>
            <div class="col-4">
                <a href="?menuid=hodnoceni"><?= ronText('Zpet_na_seznam') ?></a>
            </div>
        </div>

    </div>
</div>
