<?php

/**
 * Formular pro nastaveni pocatku a konce variabilni smeny pri naplanovani
 */

namespace RonPortal\Kapacity;

use Ron\Controls\Dialog;
use Ron\Controls\DialogButton;
use Ron\MVC\Renderer;
use Ron\MVC\TextViewObject;
use Ron\TextManager;

$renderer = new Renderer(null);
$renderer ->start();
?>
    <input type='hidden' id='planovani_variabilni_kodsmeny' name='variabilnismena_kod' value='' />

    <div id='kapacity_variabilnidata'>

        <?= TextManager::_('Variabilni_smena_od') ?>
        <input id='planovani_variabilni_smena_pocatek' class="app_input inputTime dialog-default-focus" type="text" name="variabilnismena_pocatek" maxlength="5" size="5" value="" />
        &nbsp;&nbsp; <?= TextManager::_('Variabilni_smena_do') ?>
        <input id='planovani_variabilni_smena_konec' class="app_input inputTime" type="text" name="variabilnismena_konec" maxlength="5" size="5" value="" />
        &nbsp;&nbsp; <?= TextManager::_('Variabilni_smena_delka') ?>
        <input id='planovani_variabilni_smena_delka' class="app_input inputTime" type="text" name="variabilnismena_delka" maxlength="5" size="5" value="" />
    </div>
<?php
    $dialogContent =  $renderer ->stop();

    (new Dialog())
        ->setView(new TextViewObject($dialogContent, null, null))
        ->setId('kapacity_variabilni')
        ->setTitle('Variabilni_smena')
        ->addButton(
            (new DialogButton())
                ->setValue('OK')
                ->setId('planovani_variabilni_ok')
        )
        ->addButton(DialogButton::cancelButton('planovani_variabilni_storno'))
        ->render();

?>
