<?php
/**
 * stanislav.elbl, 11.12.2020
 */

namespace RonPortal\Pomucky;

use Ron\StringUtils;

// VIEW je pouzito ve formulari pro vydej pomucky a take v browseru!
/** @var PracovniPomucka $pracovniPomucka */
$pracovniPomucka = $pracovniPomucka ?? null;

?>
<div id="detail_pomucky_row_nazev" class="row margin-bottom-2">
    <div id="detail_pomucky_nazev" class="col-11 font-weight-bold"><?= StringUtils::htmlTextConvert($pracovniPomucka ->popis ?? '') ?></div>
    <div class="col-1">
        <div class="button-loading loading-indicator margin-right fa fa-spin glyph-spinner"></div>
    </div>
</div>

<!-- typ -->
<div id="detail_pomucky_row_typ" class="row">
    <div class="col-4"><?= \Ron\ronText('Typ') ?></div>
    <div id="detail_pomucky_typ" class="col-8"><?= StringUtils::htmlTextConvert($pracovniPomucka ->typPomuckyPopis ?? '') ?></div>
</div>


<div id="detail_pomucky_row_inventarni_cislo" class="row <?= ($pracovniPomucka ->inventarniCislo ?? null) ? '' : 'd-none' ?>">
    <div class="col-4"><?= \Ron\ronText('inventarniCislo') ?></div>
    <div id="detail_pomucky_inventarni_cislo" class="col-8"><?= StringUtils::htmlTextConvert($pracovniPomucka ->inventarniCislo ?? '') ?></div>
</div>

<div id="detail_pomucky_row_vyrobni_cislo" class="row <?= ($pracovniPomucka ->vyrobniCislo ?? null) ? '' : 'd-none' ?>">
    <div class="col-4"><?= \Ron\ronText('vyrobniCislo') ?></div>
    <div id="detail_pomucky_vyrobni_cislo" class="col-8"><?= StringUtils::htmlTextConvert($pracovniPomucka ->vyrobniCislo ?? '') ?></div>
</div>

<div id="detail_pomucky_row_znacka" class="row <?= ($pracovniPomucka ->znacka ?? null) ? '' : 'd-none' ?>">
    <div class="col-4"><?= \Ron\ronText('znacka') ?></div>
    <div id="detail_pomucky_znacka" class="col-8"><?= StringUtils::htmlTextConvert($pracovniPomucka ->znacka ?? '') ?></div>
</div>

<div id="detail_pomucky_row_konec_zaruky" class="row margin-bottom-2 <?= ($pracovniPomucka ->konecZaruky ?? null) ? '' : 'd-none' ?>">
    <div class="col-4"><?= \Ron\ronText('konec_zaruky') ?></div>
    <div id="detail_pomucky_konec_zaruky" class="col-8"><?= StringUtils::htmlTextConvert($pracovniPomucka ->konecZaruky ?? '') ?></div>
</div>

<?php for ($i = 1;  $i <=5;  $i++) { ?>
<div id="detail_pomucky_row_uzivatelska<?= $i ?>" class="row <?= ($pracovniPomucka && $pracovniPomucka ->uzivatelskePoleObsah[$i]) ? '' : 'd-none' ?>">
    <div id="detail_pomucky_uzivatelska<?= $i ?>_nadpis" class="col-4">
        <?= ($pracovniPomucka && $pracovniPomucka->uzivatelskePoleNazev[$i]) ? StringUtils::htmlTextConvert($pracovniPomucka->uzivatelskePoleNazev[$i]) : '' ?>
    </div>
    <div id="detail_pomucky_uzivatelska<?= $i ?>" class="col-8">
        <?= ($pracovniPomucka->uzivatelskePoleNazev[$i] ?? null) ? StringUtils::htmlTextConvert($pracovniPomucka->uzivatelskePoleObsah[$i] ?? '') : '' ?>
    </div>
</div>
<?php } ?>
