<?php

namespace RonPortal\XML\Classes;

use Ron\StringUtils;
use RonPortal\XML\XMLFormElementCommand;

class XmlElementEmailAttachment extends XMLFormElementCommand
{
    private $content;

    public function loadXML($xmlReader)
    {
        parent::loadXML($xmlReader);
        $this->content = $this->getTextContent(false);
    }


    public function doCommand()
    {
        // nedela nic a ani se nevola!
    }


    public function getFileName() {
        return $this ->nahradPromenne(StringUtils::fromUTF8($this ->getAttributeValue('filename')));
    }


    public function getContent()
    {
        return $this ->nahradPromenne($this ->content);
    }
}
