<?php
/**
 * stanislav.elbl, 6.11.2014
 */

namespace RonPortal;

use Ron\MessageManager;
use Ron\MVC\Model;
use Ron\TextManager;

/**
 * @var $nastaveni NastaveniUzivatele
 */

$nastaveni = NastaveniUzivatele::getInstance();

$baseUrl = Model::getInstance() ->getData('baseUrl');

$url_vse = $baseUrl . 'data=all';
$url_absence = $baseUrl . 'data=absence';
$url_absencevse = $baseUrl . 'data=absence1';
$url_smeny = $baseUrl . 'data=smeny';
$url_sc = $baseUrl . 'data=sluzebnicesty';



?>
<h1><?= TextManager::_('Nastaveni') ?></h1>

<?php MessageManager::getInstance() ->showMessages() ?>

<form method="POST" action="?menuid=nastaveni">
    <input type="hidden" name="ulozitosobninastaveni" value="1">

    <div><?= TextManager::_('Ical_kalendar_vse') ?></div>
    <div><a href="<?= $url_vse ?>"><?= $url_vse ?></a></div>

    <div class="padding-top padding-left-2">
        <input type="checkbox" name="ical_smeny" <?= $nastaveni ->getItem(NastaveniUzivatele::ICAL_SMENY, 1) ? 'checked="checked"' : '' ?> /><?= TextManager::_('Ical_planovane_smeny') ?><br/>
        <input type="checkbox" name="ical_schvaleneabsence" <?= $nastaveni ->getItem(NastaveniUzivatele::ICAL_SCHVALENE_ABSENCE, 1) ? 'checked="checked"' : '' ?> /><?= TextManager::_('Ical_schvalene_absence') ?><br/>
        <input type="checkbox" name="ical_vsechnyabsence" <?= $nastaveni ->getItem(NastaveniUzivatele::ICAL_VSECHNY_ABSENCE) ? 'checked="checked"' : '' ?> /><?= TextManager::_('Ical_vsechny_absence') ?><br/>
        <input type="checkbox" name="ical_sluzebnicesty" <?= $nastaveni ->getItem(NastaveniUzivatele::ICAL_SLUZEBNI_CESTY, 1) ? 'checked="checked"' : '' ?> /><?= TextManager::_('Ical_sluzebni_cesty') ?><br/>
    </div>

    <br/>

    <div><?= TextManager::_('Ical_kalendar_absence') ?></div>
    <div><a href='<?= $url_absence ?>'><?= $url_absence ?></a></div>

    <br/>

    <div><?= TextManager::_('Ical_kalendar_absence_vse') ?></div>
    <div><a href="<?= $url_absencevse ?>"><?= $url_absencevse ?></a></div>

    <br/>

    <div><?= TextManager::_('Ical_kalendar_smeny') ?></div>
    <div><a href="<?= $url_smeny ?>"><?= $url_smeny ?></a></div>

    <br/>


    <div><?= TextManager::_('Ical_kalendar_sluzebni_cesty') ?></div>
    <div><a href="<?= $url_sc ?>"><?= $url_sc ?></a></div>

    <br/>

    <input class="submitbutton" type="submit" value="<?= TextManager::_('form.Store') ?>">

</form>
