<?php
/**
 * stanislav.elbl, 30.05.2016
 */

namespace Ron\RonPortal;

use Ron\MessageManager;

function getTargetUrl()
{
    $urlParams = [];
    parse_str($_SERVER['QUERY_STRING'], $urlParams);

    $newParams = ['menuid' => 'protected'];

    foreach ($urlParams as $key => $value) {
        if ($key == 'menuid') {
            if ($value != 'protected') { // aby negeneroval odkaz sam na sebe
                $newParams['targetmenuid'] = $value;
            }
        } else {
            $newParams[$key] = $value;
        }
    }

    return '?' .http_build_query($newParams);
}

?>

<h1><?= \Ron\ronText('Ochrana_heslem') ?></h1>

<div><?= \Ron\ronText('Ochrana_heslem_info') ?></div>

<?php MessageManager::getInstance() ->showMessages(); ?>

<form method="post" action="<?= getTargetUrl() ?>">
    <br/>

    <div>
        <input class="defaultfocus" type="password" name="password"/>
    </div>

    <br/>

    <div>
        <input class="submitbutton" type="submit" value="<?= \Ron\ronText('OK') ?>">
    </div>

</form>